<?php if (!defined('PmWiki')) exit();
/**
 * version.php
 * @author V.Krishn (vkrishn@insteps.net), Copyright 2005-2023
 * @note This file is part of Cookbook recipe "Jscm" for PmWiki;
 * You can redistribute it and/or modify it under the terms of the
 * GNU General Public License as published by the  Free Software
 * Foundation; either version 2 of the License, or (at your option)
 * any later version. @see pmwiki.php for full details.
 * @package jscm
 */

/**
 * @note Array for all modules/cookbook
 */
    global $cookbook;

    $prefix = 'jscm';
    $cookbook[$prefix]['name'] = 'jscm';
    $cookbook[$prefix]['version'] = '2.4.1';
    $cookbook[$prefix]['versionnum'] = '2004001';
    $cookbook[$prefix]['description'][] = "PmWiki Menu System using JsCookMenu";
    $cookbook[$prefix]['date']['datenum'] = '20230212';
    $cookbook[$prefix]['dependencies']['php']['version'] = "5.6.40";
    $cookbook[$prefix]['dependencies']['pmwiki']['version'] = "2.2.122+";
    $cookbook[$prefix]['author']['name'] = 'V.Krishn';
    $cookbook[$prefix]['author']['resource'][] = "http://www.insteps.net";
    $cookbook[$prefix]['author']['email'][] = 'vkrishn@insteps.net';
    $cookbook[$prefix]['contributors']['1']['name'] = "Heng Yuan";
    $cookbook[$prefix]['contributors']['1']['resource'] = "http://jscook.sourceforge.net/JSCookMenu/";
    $cookbook[$prefix]['contributors']['1']['email'] = "";
    $cookbook[$prefix]['comment'][] = "Compatible with PmWiki 2.2.x";
    $cookbook[$prefix]['licence'][] = "GNU General Public License/Free Software";

    /**
     * Cookbook guideline variable
     * @see http://www.pmwiki.org/wiki/Cookbook/ModuleGuidelines
    */
     $RecipeInfo[$prefix]['Version'] = $cookbook[$prefix]['version'];

/**
 * @note Variable/markup to use/display within wiki
 */
    // format "jscm-2.1.1-20100112"
    $jscmVersion = $cookbook[$prefix]['name']."-".
        $cookbook[$prefix]['version']. '-'.$cookbook[$prefix]['date']['datenum'];
    $FmtPV['$jscmVersion'] = "'$jscmVersion'";
    //$FmtPV['$jscmVersion'] = '$GLOBALS["jscmVersion"]';


